Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.latex
Class LaTeXDocument

    java.lang.Object
      writer2latex.latex.LaTeXDocument

All Implemented Interfaces:
  OutputFile, Document

    public class LaTeXDocument

extends java.lang.Object
implements Document

Class representing a LaTeX document.

Field Summary
`private LaTeXDocumentPortion` | `contents`
`private static java.lang.String` | `FILE_EXTENSION`
`private int` | `nWrap`
`private java.lang.String` | `sEncoding`
`private java.lang.String` | `sName`

Constructor Summary
`LaTeXDocument(java.lang.String sName, int nWrap)` Constructs a new LaTeX Document.

Method Summary
`LaTeXDocumentPortion` | `getContents()` Returns the `LaTeXDocumentPortion`, that contains the contents of the document.
`java.lang.String` | `getFileName()` Returns the `Document` name with file extension.
`java.lang.String` | `getName()` Returns the `Document` name with no file extension.
`void` | `read(java.io.InputStream docData)` This method is supposed to read `byte` data from the InputStream.
`void` | `setEncoding(java.lang.String sEncoding)` Set the output encoding to use when writing the document.
`private java.lang.String` | `trimDocumentName(java.lang.String name)`
`void` | `write(java.io.OutputStream os)` Writes out the `Document` content to the specified `OutputStream`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_EXTENSION

    private static final java.lang.String FILE_EXTENSION

See Also:
  Constant Field Values

### sName

    private java.lang.String sName

### sEncoding

    private java.lang.String sEncoding

### nWrap

    private int nWrap

### contents

    private LaTeXDocumentPortion contents

Constructor Detail

### LaTeXDocument

    public LaTeXDocument(java.lang.String sName,
                         int nWrap)

  Constructs a new LaTeX Document.

  This new document is empty. Document data must added to the preamble and the body using appropriate methods.

  Parameters:
    `name` - The name of the `LaTeXDocument`.
    `nWrap` - Lines should be wrapped after this position

Method Detail

### read

    public void read(java.io.InputStream docData)
              throws java.io.IOException

  This method is supposed to read `byte` data from the InputStream. Currently it does nothing, since we don't need it.

  Specified by:
    `read` in interface `Document`
  Parameters:
    `is` - InputStream containing a LaTeX data file.
  Throws:
    `java.io.IOException` - In case of any I/O errors.

### getName

    public java.lang.String getName()

  Returns the `Document` name with no file extension.

  Specified by:
    `getName` in interface `Document`
  Returns:
    The `Document` name with no file extension.

### getFileName

    public java.lang.String getFileName()

  Returns the `Document` name with file extension.

  Specified by:
    `getFileName` in interface `OutputFile`
  Returns:
    The `Document` name with file extension.

### write

    public void write(java.io.OutputStream os)
               throws java.io.IOException

  Writes out the `Document` content to the specified `OutputStream`.

  This method may not be thread-safe. Implementations may or may not synchronize this method. User code (i.e. caller) must make sure that calls to this method are thread-safe.

  Specified by:
    `write` in interface `OutputFile`
  Parameters:
    `os` - `OutputStream` to write out the `Document` content.
  Throws:
    `java.io.IOException` - If any I/O error occurs.

### setEncoding

    public void setEncoding(java.lang.String sEncoding)

  Set the output encoding to use when writing the document.

### getContents

    public LaTeXDocumentPortion getContents()

  Returns the `LaTeXDocumentPortion`, that contains the contents of the document.

  Returns:
    The content `LaTeXDocumentPortion`.

### trimDocumentName

    private java.lang.String trimDocumentName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD